<?php

/**
 *   模拟支付: 后台下单
 *
 */
require_once __DIR__ . '/../../../../main.php';                                 # 导入游戏库
require_once __DIR__ . '/../../Mo/payResp.php';                                    # 响应模型
require_once __DIR__ . '/../../Mo/payRequest.php';                              # 通用请求订单结构
//require_once __DIR__ . '/wx.php';                                               # 导入微信支付lib

use loyalsoft\CLog;                                                             # 添加 use
//use loyalsoft\JsonUtil;
use loyalsoft\HttpUtil;
use loyalsoft\Enum_Plat;

$tag = "[imitate]";
HttpUtil::PostOnly();                                                           # 限定客户端用post
//$str = HttpUtil::getQueryString();                                              # 提取参数串
// $str=gzinflate($str);                                                         # 编码方案
//$data = JsonUtil::decode($str);                                                 # 提取数据
$data = HttpUtil::getQueryParas();
CLog::pay($tag . ' querystring ' . loyalsoft\query_string());
foreach ($data as $key => &$value) {
    $value = urldecode($value);
}
$req = new PayRequest($data);                                                   # 创建订单
$req->channel = "imitate";     // 假订单
$resp = $req->AntiAdditionCheck();                                              # 防沉迷金额校验
if ($resp->err != 0) {
    exit($resp);                                                                # 返回
}
if (PLAT != Enum_Plat::Online_dev) {
    exit(payResp::err(1, "非法平台!"));                                           # 返回
}
if ($req->InserDataBase()) {                                                    # 订单数据入库
    CLog::pay($tag . ' 创建订单' . $req);

    $ret = array(#                                                        # 返回值
        'err' => 0, #                                                     # 错误码
        'platformCode' => 'imitate', #                                         # 平台 wx/zfbs
        'cpOrderId' => $req->cpOrderId, #                                      # 渠道订单号
        'platformInfo' => 'imitate'                                             # 微信所需参数
    );
    echo json_encode($ret);                                                   # 返回客户端
    CLog::pay("[$tag.pay]向$tag 后台推送订单成功" . $req);

//    echo Resp::ok($req->retData());                                             # 返回值
} else {
    CLog::pay($tag . ' 创建订单失败' . $req);
    echo payResp::err(1, '后台创建订单失败');                                        # 返回值
}


